package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicModelPowerRd extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 型号编号
     */
    private String modelId;

    /**
     * 风速/光照度
     */
    private BigDecimal speed;

    /**
     * 稳态功率（相当于理论）
     */
    private BigDecimal theoryPower;

    /**
     * 动态功率（保证功率）
     */
    private BigDecimal ensurePower;

    /**
     * 场站编号
     */
    private String windpowerstationId;


}
