package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 状态AI测点
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicStatusAi extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 型号编号
     */
    private String modelId;

    /**
     * 采集状态值
     */
    private Integer originalState;

    /**
     * 对应状态值
     */
    private Integer mappingState;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;


}
