package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicStatusDi extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aname;

    /**
     * 型号编号
     */
    private String modelId;

    /**
     * 值单位
     */
    private String valueUnit;

    /**
     * 英文名
     */
    private String englishName;

    /**
     * 类型编号
     */
    private String typeId;

    /**
     * 最大值
     */
    private BigDecimal maxval;

    /**
     * 最小值
     */
    private BigDecimal minval;

    /**
     * 设备编号
     */
    private String windturbineId;

    /**
     * 统一编码
     */
    private String uniformCode;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 关联实时编号
     */
    private String realtimeId;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;


}
