package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 计划表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicTargetPlan extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 组织机构编码
     */
    @TableField("Comapny_Code")
    private String comapnyCode;

    /**
     * 指标编码
     */
    @TableField("target_Code")
    private String targetCode;

    /**
     * 时间
     */
    @TableField("target_Date")
    private String targetDate;

    /**
     * 值
     */
    @TableField("Target_Value")
    private BigDecimal targetValue;

    /**
     * 周期
     */
    @TableField("Target_cycle")
    private String targetCycle;


}
