package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 三率
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfoDay5 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 小于3米5分钟转换及时次数
     */
    private BigDecimal timerate1;

    /**
     * 小于3米10分钟转换及时次数
     */
    private BigDecimal timerate2;

    /**
     * 小于3米15分钟转换及时次数
     */
    private BigDecimal timerate3;

    /**
     * 小于3米20分钟转换及时次数
     */
    private BigDecimal timerate4;

    /**
     * 大于3米5分钟转换及时次数
     */
    private BigDecimal timerate5;

    /**
     * 大于3米10分钟转换及时次数
     */
    private BigDecimal timerate6;

    /**
     * 大于3米15分钟转换及时次数
     */
    private BigDecimal timerate7;

    /**
     * 大于3米20分钟转换及时次数
     */
    private BigDecimal timerate8;

    /**
     * 大于4米5分钟转换及时次数
     */
    private BigDecimal timerate9;

    /**
     * 大于4米10分钟转换及时次数
     */
    private BigDecimal timerate10;

    /**
     * 大于4米15分钟转换及时次数
     */
    private BigDecimal timerate11;

    /**
     * 大于4米20分钟转换及时次数
     */
    private BigDecimal timerate12;

    /**
     * 小于3米状态转换总次数
     */
    private BigDecimal timerate13;

    /**
     * 大于3米状态转换总次数
     */
    private BigDecimal timerate14;

    /**
     * 大于4米状态转换总次数
     */
    private BigDecimal timerate15;

    /**
     * 5分钟复位及时次数
     */
    private BigDecimal timerate16;

    /**
     * 10分钟复位及时次数
     */
    private BigDecimal timerate17;

    /**
     * 15分钟复位及时次数
     */
    private BigDecimal timerate18;

    /**
     * 20分钟复位及时次数
     */
    private BigDecimal timerate19;

    /**
     * 总复位次数
     */
    private BigDecimal timerate20;

    /**
     * 故障消缺及时次数
     */
    private BigDecimal timerate21;

    /**
     * 故障消缺总次数
     */
    private BigDecimal timerate22;


}
