package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconMeteorological extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String windpowerstationId;

    private String weather;

    private BigDecimal temp;

    private Integer pressure;

    private Integer humidity;

    private BigDecimal tempMin;

    private BigDecimal tempMax;

    private Integer seaLevel;

    private Integer grndLevel;

    private BigDecimal visibility;

    private BigDecimal speed;

    private BigDecimal deg;

    private BigDecimal gust;

    private Integer clouds;

    private LocalDateTime datetime;

    private String sunrise;

    private String sunset;


}
