package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 电计量点值表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconMeterPointValue extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 时间
     */
    private LocalDate recordDate;

    /**
     * 电计量编号
     */
    private String meterId;

    /**
     * 年初底码
     */
    private BigDecimal year;

    /**
     * 月初底码
     */
    private BigDecimal month;

    /**
     * 昨日底码
     */
    private BigDecimal day;

    /**
     * 当日底码
     */
    private BigDecimal now;

    /**
     * 总值
     */
    private BigDecimal totalValue;

    /**
     * 年值
     */
    private BigDecimal yearValue;

    /**
     * 月值
     */
    private BigDecimal monthValue;

    /**
     * 日值
     */
    private BigDecimal dayValue;

    /**
     * 年初底码2
     */
    private BigDecimal year4;

    /**
     * 月初底码2
     */
    private BigDecimal month4;

    /**
     * 昨日底码2
     */
    private BigDecimal day4;

    /**
     * 当日底码2
     */
    private BigDecimal now4;


}
